{
	"table_name_local": "resource",
	"table_number": 49,
	"name": "table/external/4d/manager/resource/work_load_group.json",
	"table_name": "work_load_group",
	"field": [
		{
			"field_number": 49,
			"type": "integer",
			"name": "allowed_open_phases"
		},
		{
			"field_number": 47,
			"type": "double",
			"name": "automatic_receipt_delay"
		},
		{
			"field_number": 52,
			"type": "integer",
			"name": "calculate_target_time"
		},
		{
			"field_number": 38,
			"name": "change_id",
			"type": "varchar",
			"length": 45
		},
		{
			"field_number": 39,
			"name": "creator_id",
			"type": "varchar",
			"length": 20
		},
		{
			"field_number": 34,
			"name": "customer_project",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 17,
			"type": "double",
			"name": "default_work_time"
		},
		{
			"field_number": 21,
			"type": "text",
			"name": "description"
		},
		{
			"field_number": 25,
			"type": "double",
			"name": "extra_time"
		},
		{
			"field_number": 23,
			"name": "extra_time_capacity_name",
			"type": "varchar",
			"length": 80
		},
		{
			"field_number": 28,
			"name": "firm_id",
			"constraint": [
				"index"
			],
			"type": "integer"
		},
		{
			"field_number": 44,
			"type": "integer",
			"name": "follow_machine_data"
		},
		{
			"field_number": 51,
			"type": "integer",
			"name": "follow_track_time"
		},
		{
			"field_number": 58,
			"type": "integer",
			"name": "follow_work_progression"
		},
		{
			"constraint": [
				"index"
			],
			"field_number": 43,
			"name": "foreman_id",
			"nullable": true,
			"foreign_key": {
				"table": "employee",
				"field": "employee_id"
			},
			"type": "varchar",
			"length": 20
		},
		{
			"field_number": 14,
			"type": "text",
			"name": "info"
		},
		{
			"field_number": 32,
			"type": "double",
			"name": "last_phase_extra_time"
		},
		{
			"field_number": 27,
			"type": "double",
			"name": "lead_time"
		},
		{
			"field_number": 37,
			"type": "double",
			"name": "load_efficiency_multiplier"
		},
		{
			"field_number": 36,
			"type": "double",
			"name": "load_multiplier"
		},
		{
			"field_number": 18,
			"name": "loading_level",
			"constraint": [
				"index"
			],
			"type": "integer"
		},
		{
			"field_number": 12,
			"name": "loading_type",
			"constraint": [
				"index"
			],
			"type": "integer"
		},
		{
			"field_number": 10,
			"type": "double",
			"name": "mach_max_capacity__shift"
		},
		{
			"field_number": 45,
			"type": "text",
			"name": "machine_data_path"
		},
		{
			"field_number": 7,
			"type": "double",
			"name": "machine_setup_cost__hour"
		},
		{
			"field_number": 15,
			"type": "double",
			"name": "machine_speed"
		},
		{
			"field_number": 8,
			"name": "machine_work_cost__hour",
			"constraint": [
				"index"
			],
			"type": "double"
		},
		{
			"field_number": 3,
			"name": "main_load_group",
			"constraint": [
				"index"
			],
			"type": "varchar",
			"length": 12
		},
		{
			"field_number": 26,
			"type": "double",
			"name": "minimum_work_time"
		},
		{
			"field_number": 40,
			"name": "modifier_id",
			"type": "varchar",
			"length": 20
		},
		{
			"field_number": 56,
			"type": "integer",
			"name": "monthly_pre_maint_day"
		},
		{
			"field_number": 57,
			"type": "integer",
			"name": "monthly_pre_maint_week"
		},
		{
			"field_number": 4,
			"name": "name",
			"type": "varchar",
			"length": 25
		},
		{
			"field_number": 9,
			"type": "double",
			"name": "profit_multiplier"
		},
		{
			"field_number": 35,
			"name": "project_id",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 30,
			"name": "record_id",
			"constraint": [
				"unique"
			],
			"type": "varchar",
			"length": 45
		},
		{
			"field_number": 2,
			"name": "rough_load_group",
			"type": "varchar",
			"length": 12
		},
		{
			"field_number": 29,
			"type": "double",
			"name": "setup_price"
		},
		{
			"field_number": 5,
			"type": "double",
			"name": "setup_salary__hour"
		},
		{
			"field_number": 16,
			"type": "double",
			"name": "setup_time"
		},
		{
			"field_number": 31,
			"name": "shelf_number",
			"type": "varchar",
			"length": 80
		},
		{
			"field_number": 22,
			"name": "size",
			"type": "varchar",
			"length": 20
		},
		{
			"field_number": 24,
			"name": "speed_unit",
			"type": "varchar",
			"length": 6
		},
		{
			"field_number": 42,
			"name": "state",
			"constraint": [
				"index"
			],
			"type": "integer"
		},
		{
			"field_number": 19,
			"type": "boolean",
			"name": "subcontract"
		},
		{
			"constraint": [
				"index"
			],
			"field_number": 20,
			"name": "supplier_id",
			"nullable": true,
			"foreign_key": {
				"table": "supplier",
				"field": "supplier_id"
			},
			"type": "varchar",
			"length": 12
		},
		{
			"field_number": 53,
			"type": "double",
			"name": "target_time_extra_percent"
		},
		{
			"field_number": 54,
			"type": "double",
			"name": "target_time_setup_time"
		},
		{
			"field_number": 59,
			"type": "double",
			"name": "track_time_extra_time"
		},
		{
			"field_number": 33,
			"name": "transfer_id",
			"constraint": [
				"index"
			],
			"type": "varchar",
			"length": 60
		},
		{
			"field_number": 41,
			"type": "integer",
			"name": "transfer_state"
		},
		{
			"field_number": 60,
			"type": "integer",
			"name": "type_"
		},
		{
			"field_number": 50,
			"type": "double",
			"name": "unproductive_min_time"
		},
		{
			"field_number": 46,
			"type": "integer",
			"name": "use_automatic_receipt"
		},
		{
			"field_number": 48,
			"type": "integer",
			"name": "use_realtime_receipt"
		},
		{
			"field_number": 55,
			"type": "integer",
			"name": "weekly_pre_maint_day"
		},
		{
			"field_number": 13,
			"name": "work_calendar",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 1,
			"name": "work_load_group_id",
			"constraint": [
				"unique"
			],
			"type": "varchar",
			"length": 12
		},
		{
			"field_number": 6,
			"type": "double",
			"name": "work_salary__hour"
		},
		{
			"field_number": 11,
			"type": "double",
			"name": "worker_capacity__shift"
		}
	],
	"table_prefix": "wlg",
	"record_type_local": "resource"
}